Langsung ke konten utama
GET
/
v3
/
waba-accounts
/
{waba_unique_id}
/
customers
/
{wa_user_id}
/
messages
List WABA customer messages
curl --request GET \
  --url https://api.scalev.com/v3/waba-accounts/{waba_unique_id}/customers/{wa_user_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    "<unknown>"
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

waba_unique_id
string
wajib
wa_user_id
string
wajib

Parameter Query

page_size
integer

Cursor page size.

Rentang yang diperlukan: x >= 1
next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

anchor_id
string

Primary-key ID of a WhatsApp message to center the first page around. Cannot be used with next_cursor or previous_cursor. If not found in this customer message list, data is empty.

Respons

Success paginated collection response

Paginated list payload for v3.

data
any[]
wajib
is_paginated
enum<boolean>
wajib
Opsi yang tersedia:
true
Contoh:

true

has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer